#!/bin/bash

rm /etc/php-fpm.d/www.conf

cat <<EOF > /etc/php-fpm.d/$user.conf

[$user]

user = $user
group = $user
listen = /run/php-fpm/www.sock
listen.owner = nginx
listen.group = nginx

pm = static
pm.max_children = 12
pm.max_requests = 150

slowlog = /var/log/nginx/error_log
request_slowlog_timeout = 3s

php_admin_value[error_log] = /var/log/nginx/error_log
php_admin_flag[log_errors] = on
php_value[soap.wsdl_cache_dir]  = /var/lib/php/wsdlcache

EOF

exit 0